# _DMXConfigParam Struct Reference

`#include <dmxparse.h>`

## Data Fields

int | argc
const char ** | argv
DMXConfigTokenPtr | start
DMXConfigTokenPtr | open
DMXConfigStringPtr | param
DMXConfigTokenPtr | close
DMXConfigTokenPtr | end
struct _DMXConfigParam * | next

## Detailed Description

Stores parsed param information.

## Field Documentation

int _DMXConfigParam::argc

Referenced by dmxConfigCreateParam(), and dmxConfigLookupParam().

const char** _DMXConfigParam::argv

Referenced by dmxConfigCreateParam(), dmxConfigFreeParam(), and dmxConfigLookupParam().

DMXConfigTokenPtr _DMXConfigParam::close

Referenced by dmxConfigCreateParam(), dmxConfigFreeParam(), and dmxConfigPrintParam().

DMXConfigTokenPtr _DMXConfigParam::end

Referenced by dmxConfigCreateParam(), dmxConfigFreeParam(), and dmxConfigPrintParam().

struct _DMXConfigParam* _DMXConfigParam::next

Referenced by dmxConfigFreeParam(), dmxConfigLookupParam(), and dmxConfigPrintParam().

DMXConfigTokenPtr _DMXConfigParam::open

Referenced by dmxConfigCreateParam(), dmxConfigFreeParam(), and dmxConfigPrintParam().

DMXConfigStringPtr _DMXConfigParam::param

Referenced by dmxConfigCreateParam(), dmxConfigFreeParam(), and dmxConfigPrintParam().

DMXConfigTokenPtr _DMXConfigParam::start

Referenced by dmxConfigCreateParam(), dmxConfigFreeParam(), and dmxConfigPrintParam().

The documentation for this struct was generated from the following file:

- dmxparse.h

Generated June 29, 2004 for Distributed Multihead X by doxygen 1.3.4. </addres>